Bug 1773466 - [abrt] mc: vfs_stamp_compare(): mc killed by SIGSEGV
Summary: [abrt] mc: vfs_stamp_compare(): mc killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mc
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2f6e56fd2ec6c114e953f5af15c...
: 1793654 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-18 08:19 UTC by Suren Karapetyan
Modified: 2020-02-08 01:37 UTC (History)
5 users (show)

Fixed In Version: mc-4.8.24-3.fc30
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-08 01:37:12 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (10.54 KB, text/plain)
2019-11-18 08:19 UTC, Suren Karapetyan
no flags Details
File: cgroup (331 bytes, text/plain)
2019-11-18 08:19 UTC, Suren Karapetyan
no flags Details
File: core_backtrace (7.40 KB, text/plain)
2019-11-18 08:19 UTC, Suren Karapetyan
no flags Details
File: cpuinfo (1.29 KB, text/plain)
2019-11-18 08:19 UTC, Suren Karapetyan
no flags Details
File: dso_list (1.84 KB, text/plain)
2019-11-18 08:19 UTC, Suren Karapetyan
no flags Details
File: environ (3.88 KB, text/plain)
2019-11-18 08:19 UTC, Suren Karapetyan
no flags Details
File: exploitable (82 bytes, text/plain)
2019-11-18 08:19 UTC, Suren Karapetyan
no flags Details
File: limits (1.29 KB, text/plain)
2019-11-18 08:19 UTC, Suren Karapetyan
no flags Details
File: maps (11.60 KB, text/plain)
2019-11-18 08:19 UTC, Suren Karapetyan
no flags Details
File: mountinfo (4.02 KB, text/plain)
2019-11-18 08:19 UTC, Suren Karapetyan
no flags Details
File: open_fds (451 bytes, text/plain)
2019-11-18 08:19 UTC, Suren Karapetyan
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2019-11-18 08:19 UTC, Suren Karapetyan
no flags Details

Description Suren Karapetyan 2019-11-18 08:19:09 UTC
Version-Release number of selected component:
1:mc-4.8.23-1.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/bin/mc -P /var/tmp/mc-skarap/mc.pwd.1658
crash_function: vfs_stamp_compare
executable:     /usr/bin/mc
journald_cursor: s=35346800dda84c68bf78335ca3383ee0;i=6c25;b=40e7daeef4a84bbb93e5b3a0711b4c37;m=3cb95a3cef;t=5979994645726;x=60218f9ab36a76d2
kernel:         5.3.8-200.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 vfs_stamp_compare at gc.c:130
 #1 g_slist_find_custom at ../glib/gslist.c:729
 #2 vfs_stamp at gc.c:165
 #3 extfs_get_path at extfs.c:699
 #4 extfs_internal_stat at extfs.c:1101
 #5 mc_stat at interface.c:571
 #6 cpio_super_check at cpio.c:818
 #7 vfs_get_super_by_vpath at direntry.c:1120
 #8 vfs_s_get_path at direntry.c:1173
 #9 vfs_s_inode_from_path at direntry.c:395

Comment 1 Suren Karapetyan 2019-11-18 08:19:13 UTC
Created attachment 1637218 [details]
File: backtrace

Comment 2 Suren Karapetyan 2019-11-18 08:19:14 UTC
Created attachment 1637219 [details]
File: cgroup

Comment 3 Suren Karapetyan 2019-11-18 08:19:16 UTC
Created attachment 1637220 [details]
File: core_backtrace

Comment 4 Suren Karapetyan 2019-11-18 08:19:18 UTC
Created attachment 1637221 [details]
File: cpuinfo

Comment 5 Suren Karapetyan 2019-11-18 08:19:19 UTC
Created attachment 1637222 [details]
File: dso_list

Comment 6 Suren Karapetyan 2019-11-18 08:19:21 UTC
Created attachment 1637223 [details]
File: environ

Comment 7 Suren Karapetyan 2019-11-18 08:19:22 UTC
Created attachment 1637224 [details]
File: exploitable

Comment 8 Suren Karapetyan 2019-11-18 08:19:24 UTC
Created attachment 1637225 [details]
File: limits

Comment 9 Suren Karapetyan 2019-11-18 08:19:26 UTC
Created attachment 1637226 [details]
File: maps

Comment 10 Suren Karapetyan 2019-11-18 08:19:27 UTC
Created attachment 1637227 [details]
File: mountinfo

Comment 11 Suren Karapetyan 2019-11-18 08:19:28 UTC
Created attachment 1637228 [details]
File: open_fds

Comment 12 Suren Karapetyan 2019-11-18 08:19:30 UTC
Created attachment 1637229 [details]
File: proc_pid_status

Comment 13 Jindrich Novy 2020-01-22 10:06:39 UTC
*** Bug 1793654 has been marked as a duplicate of this bug. ***

Comment 14 Fedora Update System 2020-01-22 10:15:19 UTC
FEDORA-2020-0f291784c5 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-0f291784c5

Comment 15 Fedora Update System 2020-01-31 02:25:21 UTC
mc-4.8.24-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9aa1e4cdb7

Comment 16 Fedora Update System 2020-02-08 01:37:12 UTC
mc-4.8.24-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.